Bug 1417129 - [RFE] Include disk space check in foreman-debug
Summary: [RFE] Include disk space check in foreman-debug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Foreman Debug
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Adam Ruzicka
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1413155
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2017-01-27 09:39 UTC by pm-sat@redhat.com
Modified: 2019-04-01 20:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1413155
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18075 0 None None None 2017-01-27 09:39:04 UTC

Comment 2 Adam Ruzicka 2017-08-02 10:47:14 UTC
Verified.
Satellite-6.3 Snap 9
Package versions:
satellite-6.3.0-16.0.beta.el7sat.noarch
foreman-debug-1.15.2-1.el7sat.noarch
katello-debug-3.4.2-1.el7sat.noarch

[root@snap9 ~]# foreman-debug
Processing... (takes a while)

 HOSTNAME: snap9.satellite63.centos7.lxc
       OS: redhat
  RELEASE: CentOS Linux release 7.3.1611 (Core)
  FOREMAN: 1.15.2
     RUBY: ruby 2.0.0p648 (2015-12-16) [x86_64-linux]
   PUPPET: 3.8.6


A debug file has been created: /tmp/foreman-debug-huBtb.tar.xz (380148 bytes)

To upload a tarball to our secure site, please use the -u option.

[root@snap9 ~]# /tmp/foreman-debug-huBtb

[root@snap9 foreman-debug-huBtb]# ls -la | grep disk_space
-rw-r--r--. 1 root root   390 Aug  2 09:28 disk_space_output
-rw-r--r--. 1 root root    56 Aug  2 09:28 mongodb_disk_space
-rw-r--r--. 1 root root    51 Aug  2 09:28 postgres_disk_space

[root@snap9 foreman-debug-huBtb]# tail -n 1000 $(ls | grep disk_space)
==> disk_space_output <==
COMMAND> df -h

Filesystem             Size  Used Avail Use% Mounted on
/dev/mapper/tank-pool   30G  5.3G   25G  18% /
none                   492K     0  492K   0% /dev
tmpfs                   16G   12K   16G   1% /dev/shm
tmpfs                   16G  8.3M   16G   1% /run
tmpfs                   16G     0   16G   0% /sys/fs/cgroup
tmpfs                  3.2G     0  3.2G   0% /run/user/0

==> mongodb_disk_space <==
COMMAND> du -sh /var/lib/mongodb

214M    /var/lib/mongodb

==> postgres_disk_space <==
COMMAND> du -sh /var/lib/pgsql

85M     /var/lib/pgsql

Comment 3 Bryan Kearney 2018-02-21 16:44:50 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 4 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.